
QGIS Application - Bug report #9110

Empty SAGA help

2013-11-21 01:49 PM - João Gaspar

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17752

Description

Win 7 64-bit / OSGeo Installer 32-bit

Plugin Processing Version: 2.0-20131120

QGIS version    2.0.1-Dufour    QGIS code revision    ebebdf3

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.3.8-CAPI-1.7.8    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    8.3.10    SpatiaLite Version    4.1.1

QWT Version    5.2.1    PROJ.4 Version    480

QScintilla2 Version    2.6.2

The help menu of saga modules are empty. I try to do reload but nothing happens.

Any confirm this?

Related issues:

Related to QGIS Application - Feature request # 8259: Documentation SAGA  GIS... Closed 2013-07-10

Related to QGIS Application - Feature request # 10275: Copy SAGA documentatio... Closed 2014-05-15

History

#1 - 2013-11-21 02:16 PM - João Gaspar

I find the bug. :)

In the folder  .qgis2/python/plugins/processing/saga on the SagaAlgorithm.py in line 508 substitute 'help' to 'description' and works fine :)

#2 - 2013-11-22 01:42 AM - João Gaspar

- Status changed from Open to Closed

#3 - 2013-11-22 11:54 AM - Filipe Dias

- Status changed from Closed to Reopened

- Priority changed from Low to Normal

There's also no help on Linux (I thought there wasn't any).
#4 - 2013-11-22 12:03 PM - Filipe Dias

I applied your fix but it didn't work. It may be possible that I tested algorithms with no help. Which ones did you test?

#5 - 2013-11-22 12:32 PM - João Gaspar

I confirm the help is incomplete. Another thing. After the fix if the help stay blank do right click and reload this should work.

Try for example the help of algorithm Pattern analysis

#6 - 2013-11-23 02:52 AM - Filipe Dias

Hum, on Linux "Reload" doesn't work with the Help of Pattern Analysis

#7 - 2013-11-23 08:33 AM - João Gaspar

- File SagaAlgorithm.py added

One thing do you have the folder description inside of saga folder with html help?

Another thing that i can do is send my SagaAlgorithm.py and compare both files.

#8 - 2013-11-25 12:27 AM - Alexander Bruy

If I'm not wrong, we never have complete documentation. Also we decided to move all documentation outside Processing, to reduce plugin size, make it

more easy to maintain and allow translations.

For now all documentation located in Processing-Help repository and currently there are only few algorithms documented. If you want to help, please, add

documentation to this repo.

Also see #8259

#9 - 2013-11-25 03:40 AM - João Gaspar

Yes Alexander, now i see one thing.

I use the #8259 to get html help and put in my folder of description inside of saga folder in

C:\\Users\\JOAO\\.qgis2\\python\\plugins\\processing\\saga\\description.

After this, the help turn empty then i try the solution of the bug #8259 and nothing.

Then i open Saga Algorithm.py and see that directory of help saga folder was  establish like 'help' then i change by 'descripton' where is the previous html

help that i use from #8259.

At hist moment i'm using the help html of the #8259.

But yes still incomplete.
Thanks Alexandee for the notice. =)

I can try complete some of the help but i'm newbie in github.

The link of github is broken in #8259.

Another thing is to use the help in HTML or .txt.

Regards

João

#10 - 2014-10-04 11:56 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (56)

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

#11 - 2014-10-04 11:57 AM - Giovanni Manghi

- Category set to Processing/SAGA

#12 - 2014-11-29 02:35 AM - Alexander Bruy

- Status changed from Reopened to In Progress

Now documentation for Processing algs included in User Guide

#13 - 2014-12-11 01:29 AM - Alexander Bruy

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

Loading help from online copy of User Guide now implemented. Please reopen if necessary.

Files

SagaAlgorithm.py 23.4 KB 2013-11-23 João Gaspar

2025-04-27 3/3


